| OpenCV 5.0.0alpha Open Source Computer Vision

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
cv::mcc::DetectorParameters Struct Reference
Macbeth Chart module

Parameters for the detectMarker process: More...

`#include <opencv2/mcc/checker_detector.hpp>`

Collaboration diagram for cv::mcc::DetectorParameters:

## Public Member Functions
| DetectorParameters ()

## Static Public Member Functions
static Ptr< DetectorParameters > | create ()

## Public Attributes
double | adaptiveThreshConstant
int | adaptiveThreshWinSizeMax
int | adaptiveThreshWinSizeMin
int | adaptiveThreshWinSizeStep
float | B0factor
int | borderWidth
double | confidenceThreshold
double | findCandidatesApproxPolyDPEpsMultiplier
float | maxError
int | minContourLengthAllowed
int | minContourPointsAllowed
double | minContoursArea
double | minContoursAreaRate
double | minContourSolidity
unsigned | minGroupSize
int | minImageSize
int | minInterCheckerDistance
int | minInterContourDistance

## Detailed Description

Parameters for the detectMarker process:

- int adaptiveThreshWinSizeMin : minimum window size for adaptive thresholding before finding contours (default 23).
- int adaptiveThreshWinSizeMax : maximum window size for adaptive thresholding before finding contours (default 153).
- int adaptiveThreshWinSizeStep : increments from adaptiveThreshWinSizeMin to adaptiveThreshWinSizeMax during the thresholding (default 16).
- double adaptiveThreshConstant : constant for adaptive thresholding before finding contours (default 7)
- double minContoursAreaRate : determine minimum area for marker contour to be detected. This is defined as a rate respect to the area of the input image. Used only if neural network is used (default 0.003).
- double minContoursArea : determine minimum area for marker contour to be detected. This is defined as the actual area. Used only if neural network is not used (default 100).
- double confidenceThreshold : minimum confidence for a bounding box detected by neural network to classify as detection.(default 0.5) (0<=confidenceThreshold<=1)
- double minContourSolidity : minimum solidity of a contour for it be detected as a square in the chart. (default 0.9).
- double findCandidatesApproxPolyDPEpsMultiplier : multipler to be used in cv::ApproxPolyDP function (default 0.05)
- int borderWidth : width of the padding used to pass the inital neural network detection in the succeeding system.(default 0)
- float B0factor : distance between two neighbours squares of the same chart. Defined as the ratio between distance and large dimension of square (default 1.25)
- float maxError : maximum allowed error in the detection of a chart. default(0.1)
- int minContourPointsAllowed : minium points in a detected contour. default(4)
- int minContourLengthAllowed : minimum length of a countour. default(100)
- int minInterContourDistance : minimum distance between two contours. default(100)
- int minInterCheckerDistance : minimum distance between two checkers. default(10000)
- int minImageSize : minimum size of the smaller dimension of the image. default(1000)
- unsigned minGroupSize : minimum number of a squared of a chart that must be detected. default(4)

## Constructor & Destructor Documentation

## ◆ DetectorParameters()

cv::mcc::DetectorParameters::DetectorParameters | ( |  | ) |

## Member Function Documentation

## ◆ create()

static Ptr< DetectorParameters > cv::mcc::DetectorParameters::create | ( |  | ) |
| static

## Member Data Documentation

## ◆ adaptiveThreshConstant

double cv::mcc::DetectorParameters::adaptiveThreshConstant

## ◆ adaptiveThreshWinSizeMax

int cv::mcc::DetectorParameters::adaptiveThreshWinSizeMax

## ◆ adaptiveThreshWinSizeMin

int cv::mcc::DetectorParameters::adaptiveThreshWinSizeMin

## ◆ adaptiveThreshWinSizeStep

int cv::mcc::DetectorParameters::adaptiveThreshWinSizeStep

## ◆ B0factor

float cv::mcc::DetectorParameters::B0factor

## ◆ borderWidth

int cv::mcc::DetectorParameters::borderWidth

## ◆ confidenceThreshold

double cv::mcc::DetectorParameters::confidenceThreshold

## ◆ findCandidatesApproxPolyDPEpsMultiplier

double cv::mcc::DetectorParameters::findCandidatesApproxPolyDPEpsMultiplier

## ◆ maxError

float cv::mcc::DetectorParameters::maxError

## ◆ minContourLengthAllowed

int cv::mcc::DetectorParameters::minContourLengthAllowed

## ◆ minContourPointsAllowed

int cv::mcc::DetectorParameters::minContourPointsAllowed

## ◆ minContoursArea

double cv::mcc::DetectorParameters::minContoursArea

## ◆ minContoursAreaRate

double cv::mcc::DetectorParameters::minContoursAreaRate

## ◆ minContourSolidity

double cv::mcc::DetectorParameters::minContourSolidity

## ◆ minGroupSize

unsigned cv::mcc::DetectorParameters::minGroupSize

## ◆ minImageSize

int cv::mcc::DetectorParameters::minImageSize

## ◆ minInterCheckerDistance

int cv::mcc::DetectorParameters::minInterCheckerDistance

## ◆ minInterContourDistance

int cv::mcc::DetectorParameters::minInterContourDistance

The documentation for this struct was generated from the following file:

- opencv2/mcc/checker_detector.hpp